Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class PlanInstaller

    java.lang.Object
      ix.ip2.PlanInstaller

    public class PlanInstaller

extends java.lang.Object

Loads a plan into the model.

Nested Class Summary
`(package private) class` | `PlanInstaller.Pass1` Constructs a copy of a plan in which each PlanVariable has been replaced by a Variable.
`static interface` | `PlanInstaller.PlanWalker`

Field Summary
`(package private) PanelController` | `controller`
`(package private) java.util.Map` | `idToItemMap`
`(package private) java.util.Map` | `idToVarMap`
`(package private) Ip2ModelManager` | `modelManager`
`(package private) Plan` | `plan`
`(package private) VariableManager` | `variableManager`

Constructor Summary
`PlanInstaller(Ip2 ip2, Plan plan)`

Method Summary
`(package private) void` | `checkPlanCompatibility()`
`(package private) void` | `do_installPlan()`
`(package private) AgendaItem` | `findItem(TaskItem target, java.util.List items)`
`(package private) ActivityItem` | `findItemForActivity(Activity activity)`
`(package private) IssueItem` | `findItemForIssue(Issue issue)`
`(package private) Agenda` | `getAgendaFor(AgendaItem item)`
`(package private) Variable` | `getVariableFromId(Name id)`
`(package private) java.util.Set` | `idSet(java.util.List agendaItems)`
`(package private) void` | `installConstraints(ActivityItem item, java.util.List constraints)`
`(package private) void` | `installExpansion(PlanNode node)`
`(package private) void` | `installIssueExpansion(PlanIssue pi)`
`(package private) void` | `installOrderings(ActivityItem item, java.util.List orderings, java.util.Map nameToChildMap)`
`void` | `installPlan()`
`(package private) java.util.Map` | `installSubitems(Agenda agenda, AgendaItem item, java.util.List childItems, java.util.List childNodes)`
`(package private) java.util.Map` | `makeNameToChildMap(java.util.List childItems, java.util.List childNodes)`
`(package private) java.util.List` | `makeSubactivities(ActivityItem parentItem, java.util.List childNodes)`
`(package private) java.util.Map` | `makeVarTable(AgendaItem item, java.util.List dclList)`
`Variable` | `mapVariableDeclaration(PlanVariableDeclaration dcl)`
`void` | `walkInstalledChildren(AgendaItem item, PlanInstaller.PlanWalker w)`
`void` | `walkInstalledPlan(PlanInstaller.PlanWalker w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### controller

    PanelController controller

### modelManager

    Ip2ModelManager modelManager

### variableManager

    VariableManager variableManager

### plan

    Plan plan

### idToVarMap

    java.util.Map idToVarMap

### idToItemMap

    java.util.Map idToItemMap

Constructor Detail

### PlanInstaller

    public PlanInstaller(Ip2 ip2,
                         Plan plan)

Method Detail

### installPlan

    public void installPlan()

### walkInstalledPlan

    public void walkInstalledPlan(PlanInstaller.PlanWalker w)

### walkInstalledChildren

    public void walkInstalledChildren(AgendaItem item,
                                      PlanInstaller.PlanWalker w)

### getAgendaFor

    Agenda getAgendaFor(AgendaItem item)

### checkPlanCompatibility

    void checkPlanCompatibility()

### idSet

    java.util.Set idSet(java.util.List agendaItems)

### do_installPlan

    void do_installPlan()

### mapVariableDeclaration

    public Variable mapVariableDeclaration(PlanVariableDeclaration dcl)

### getVariableFromId

    Variable getVariableFromId(Name id)

### installIssueExpansion

    void installIssueExpansion(PlanIssue pi)

### installExpansion

    void installExpansion(PlanNode node)

### findItemForActivity

    ActivityItem findItemForActivity(Activity activity)

### findItemForIssue

    IssueItem findItemForIssue(Issue issue)

### findItem

    AgendaItem findItem(TaskItem target,
                        java.util.List items)

### makeVarTable

    java.util.Map makeVarTable(AgendaItem item,
                               java.util.List dclList)

### makeSubactivities

    java.util.List makeSubactivities(ActivityItem parentItem,
                                     java.util.List childNodes)

### installSubitems

    java.util.Map installSubitems(Agenda agenda,
                                  AgendaItem item,
                                  java.util.List childItems,
                                  java.util.List childNodes)

### makeNameToChildMap

    java.util.Map makeNameToChildMap(java.util.List childItems,
                                     java.util.List childNodes)

### installOrderings

    void installOrderings(ActivityItem item,
                          java.util.List orderings,
                          java.util.Map nameToChildMap)

### installConstraints

    void installConstraints(ActivityItem item,
                            java.util.List constraints)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD